AppenderAttachableImpl Class Reference

Inherits AppenderAttachable, and ObjectImpl.

## Public Member Functions

| AppenderAttachableImpl (Pool &pool)
| Create new instance. More...
void | addRef () const
void | releaseRef () const
virtual void | addAppender (const AppenderPtr &newAppender)
| Add an appender. More...
int | appendLoopOnAppenders (const spi::LoggingEventPtr &event, log4cxx::helpers::Pool &p)
| Call the `doAppend` method on all attached appenders. More...
virtual AppenderList | getAllAppenders () const
| Get all previously added appenders as an Enumeration. More...
virtual AppenderPtr | getAppender (const LogString &name) const
| Get an appender by name. More...
virtual bool | isAttached (const AppenderPtr &appender) const
| Returns `true` if the specified appender is in the list of attached appenders, `false` otherwise. More...
virtual void | removeAllAppenders ()
| Remove all previously added appenders. More...
virtual void | removeAppender (const AppenderPtr &appender)
| Remove the appender passed as parameter from the list of appenders. More...
virtual void | removeAppender (const LogString &name)
| Remove the appender with the name passed as parameter from the list of appenders. More...
const log4cxx::helpers::Mutex & | getMutex () const
Public Member Functions inherited from AppenderAttachable
virtual | ~AppenderAttachable ()
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const

## Protected Attributes

AppenderList | appenderList
| Array of appenders. More...
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Additional Inherited Members

Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()

## Constructor & Destructor Documentation

AppenderAttachableImpl | ( | Pool & | pool | ) |

Create new instance.

Parameters

  pool | pool, must be longer-lived than instance.

## Member Function Documentation

virtual void addAppender | ( | const AppenderPtr & | newAppender | ) |

virtual

Add an appender.

Implements AppenderAttachable.

void addRef | ( |  | ) | const

virtual

Implements Object.

int appendLoopOnAppenders | ( | const spi::LoggingEventPtr & | event,
|  | log4cxx::helpers::Pool & | p
| ) |  |

Call the `doAppend` method on all attached appenders.

virtual AppenderList getAllAppenders | ( |  | ) | const

virtual

Get all previously added appenders as an Enumeration.

Implements AppenderAttachable.

virtual AppenderPtr getAppender | ( | const LogString & | name | ) | const

virtual

Get an appender by name.

Implements AppenderAttachable.

const log4cxx::helpers::Mutex& getMutex | ( |  | ) | const

inline

virtual bool isAttached | ( | const AppenderPtr & | appender | ) | const

virtual

Returns `true` if the specified appender is in the list of attached appenders, `false` otherwise.

Implements AppenderAttachable.

void releaseRef | ( |  | ) | const

virtual

Implements Object.

virtual void removeAllAppenders | ( |  | ) |

virtual

Remove all previously added appenders.

Implements AppenderAttachable.

virtual void removeAppender | ( | const AppenderPtr & | appender | ) |

virtual

Remove the appender passed as parameter from the list of appenders.

Implements AppenderAttachable.

virtual void removeAppender | ( | const LogString & | name | ) |

virtual

Remove the appender with the name passed as parameter from the list of appenders.

Implements AppenderAttachable.

## Member Data Documentation

AppenderList appenderList

protected

Array of appenders.

The documentation for this class was generated from the following file:

- appenderattachableimpl.h